Jump to content

Recommended Posts

Olá Pessoal!

Estou montando uma loja PS 1.7.5 e não sou um usuário muito avançado. 

Eu tive alguns problemas ao tentar instalar a versão, eu achei que fosse mais fácil e mais simples, mas não é.

Eu fiquei surpreso por ter encontrado até agora muitas dificuldades.

 

Eu comprei um servidor na Contabo, uma VPS que esta com Cpanel, Cent OS 7 e PHP 7.1 

Eu instalei o PrestaShop e a única coisa da instalação que não consegui colocar foi a versão mais nova do pacote ICU que esta na versão 64, mas eu tive que manter a versão 50.0 porque Cpanel me informou que não dá suporte a versões mais novas do ICU.

 

OK, feito isso a instalação prosseguiu e foi concluída com sucesso.

O problema é que agora eu tenho vários erros de status 500 - página nao encontrada ao clicar nos meus lateriais do PS, exemplo funções de catálogo, clientes, etc, estão inacessíveis pra mim.

Eu também não consigo Lançar a loja. Ao clicar, recebo o erro 

Esta página não está funcionando

www.xxx não consegue atender a esta solicitação no momento.

HTTP ERROR 500
 
Eu também não consigo instalar o tema, eu não tenho ideia do que pode ser esse problema. Alguém já passou por isso? 
Como vocês resolveram ? 

Share this post


Link to post
Share on other sites

Requisitos mínimos para PS 1.7.4 e acima vc. encontra neste tópico:

 

Share this post


Link to post
Share on other sites

Ok! Mas no site do PrestaShop diz que a versão 1.7.5 funciona com PHP 7.1 por isso eu optei pelo PHP 7.1

Mas agora você esta me dizendo que preciso ter PHP 7.2 ?

 

Ai eu tenho um problema porque Cpanel ainda não trabalha com PHP 7.2

A versão maxima do PHP que consigo para meu servidor é 7.1 

Share this post


Link to post
Share on other sites

Entao mude de host/provedor. Prestashop 1.7.4. e versoes acima nao correm com php inferior a 7.2. Na verdade o problema nao é o php em sí, mas a versao do banco de dados que vem com php 7.1.

Outra opcao seria ativar o modo debug e eliminar um por um dos erros que estao sendo escritos. Leia também os erros do servidor, nao somente os erros que o Prestashop escreve, pois 500 sao erros de servidores mal configurados.

Share this post


Link to post
Share on other sites
Posted (edited)

Mudar se servidor pra mim seria irrelevante.

Eu sigo um padrão de mercado, eu considero que servidores com Cent OS 7 e Cpanel são uma boa opção. 

A minha versão do banco de dados MySQL atual é 5.7.25

De fato, olhando os requerimentos no site:

https://devdocs.prestashop.com/1.7/basics/installation/system-requirements/

 

Eu vejo que PS recomenda PHP 7.2, mas também diz que aceita minimum 5.6

Eu conversei com Cpanel eles disseram que posso fazer a inclusão do PHP 7.2 manualmente, mas eles não recomendam que eu faça isso. 

Então agora eu preciso decidir qual recomendação seguir, se atualizo o PHP 7.2 mesmo contra Cpanel, ou se mantenho PHP 7.2 contra. 

Edited by MAYCON HENRIQUE

Share this post


Link to post
Share on other sites

Leia os logs de erro do servidor e os erros que o Prestashop está escrevendo. Deverá eliminar um por um. Alguns usuários estao conseguindo rodar o Prestashop com php 7.1. outros nao. Isto infelizmente é muito individual e como já escrito: 500 sao erros DO SERVIDOR. Ou seja um servidor mal configurado para rodar o Prestashop. Pode ser um problema de direitos, ou outro qualquer. Neste caso os logs de erro sao o que vc, deverá interpretar e corrigir.

Verifique aqui o mesmo problema no fórum Inglês. A chance de funcionar com php 7.2. é de 100%:

 

Share this post


Link to post
Share on other sites
Posted (edited)

Eu sei que você não é obrigado a isso, mas eu gostaria de pedir sua ajuda.

Você poderia dar uma olhada rápida no meu back office para ver esses erros e me orientar o que pode estar acontecendo? 

Você pode ver o erro clicando, por exemplo, em Catalogo > Produtos 

Ou na opção de Lançar a loja > Continuar 

Eu estou enviando em anexo credenciais temporárias. 

Eu agradeço muito a sua ajuda,  eu não sou um usuário avançado, então eu não sei como analisar logs. 

 

Edited by selectshop.at
credenciais removidos

Share this post


Link to post
Share on other sites

Ative o modo debug igual ao do Prestashop 1.6. e leia os logs de erro. Os logs do servidor vc. deverá ler do seu FTP ou no cPanel. se nao estao disponíveis, entao contate o provedor.

 

Share this post


Link to post
Share on other sites

O PrestaShop 1.7.5 deve rodar sem problemas em qualquer PHP entre o 5.6 e o 7.2.

Esse erro deve ser devido a alguma configuração específica do host. Ative o modo de depuração como sugerido por @selectshop.at e saberemos do que se trata.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More